#ifndef MD2_1_H
#define MD2_1_H

#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>

void md2_hash_1(size_t len, const uint8_t buf[len], uint8_t out[16]);
void md2_checksum_1(size_t len, uint8_t* buf);

#endif  // MD2_1_H